#!/bin/sh

#
# CREATE RELEASE TAR FILE
#     For maintainer only!
#

VERSION=`awk '/^[0-9]*\.[^ \t]/ {print $1; exit(0);}'<CHANGES`
TARFILE=/var/tmp/Fl_Fixed_Group-$VERSION.tar.gz
RELEASEDIR=./.release/Fl_Fixed_Group-$VERSION

# MODES
chmod 644 FL/* *.cxx [A-Z]* make.bat \
	  documentation/*.html documentation/images/* \
	  Makefile* CHANGES CREDITS TODO README*

chmod 755 documentation documentation/images FL

# RELEASE DIR
rm -rf ./.release/ 2> /dev/null
mkdir -p $RELEASEDIR
cp -rp .TAR_RELEASE.sh * ./.release/Fl_Fixed_Group-$VERSION

# Remove local settings
awk '/REMOVE:START/ { remove = 1; }
     /REMOVE:END/   { remove = 0; }
     { if ( remove == 0 ) print $0 }' \
	   < $RELEASEDIR/Makefile \
	   > $RELEASEDIR/Makefile.new
mv $RELEASEDIR/Makefile.new $RELEASEDIR/Makefile

# CREATE TAR FILE
( cd ./.release; \
  tar cvfz $TARFILE --numeric-owner \
                    --owner=0 \
		    --group=0 \
		    Fl_Fixed_Group-$VERSION 
)

# CLEANUP
rm -rf ./.release 2> /dev/null
echo "*** Created: $TARFILE"

exit 0
