#ifndef FL_FIXED_GROUP_H
#define FL_FIXED_GROUP_H

#include <FL/Fl.H>
#include <FL/Fl_Group.H>

//
// Fl_Fixed_Group.cxx -- A group with attachable sides
//
// Copyright 2008 by Greg Ercolano.
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//

#define FL_FIXED_GROUP_NONE   0
#define FL_FIXED_GROUP_TOP    1
#define FL_FIXED_GROUP_RIGHT  2
#define FL_FIXED_GROUP_BOTTOM 4
#define FL_FIXED_GROUP_LEFT   8

// ALLOWED COMBOS
#define FL_FIXED_GROUP_TOPLEFT     (FL_FIXED_GROUP_TOP   |FL_FIXED_GROUP_LEFT)
#define FL_FIXED_GROUP_TOPRIGHT    (FL_FIXED_GROUP_TOP   |FL_FIXED_GROUP_RIGHT)
#define FL_FIXED_GROUP_BOTTOMLEFT  (FL_FIXED_GROUP_BOTTOM|FL_FIXED_GROUP_LEFT)
#define FL_FIXED_GROUP_BOTTOMRIGHT (FL_FIXED_GROUP_BOTTOM|FL_FIXED_GROUP_RIGHT)

class Fl_Fixed_Group : public Fl_Group {
  int attach_;
  Fl_Widget *attach_to_;
  int rdiff, bdiff, init_w, init_h;
public:
  Fl_Fixed_Group(int X, int Y, int W, int H, const char *L = 0);
  void init_sizes();
  void resize(int X,int Y,int W,int H);
  int attach() const { return(attach_); }
  void attach(Fl_Widget *w_val, int val) { attach_to_ = w_val; attach_ = val; init_sizes(); }
  void attach(int val) { attach(window(), val); }
};

#endif
